Get recurring resident charge by ID
https://api.propexo.com/v1/recurring-resident-charges/:recurring_resident_charge_idAuthentication
- AuthorizationBearerBearer authentication of the form
Bearer <token>, where token is your auth token.
Path parameters
The ID of the resource.
Query parameters
Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc
created_at:descFilter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Filter to records whose last_seen date is on or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)
Filter to records whose last_seen date is on or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)
Possible values: >= 0
Can be used for paginating results
0Possible values: >= 0 and <= 250
A number between 1 and 250 to determine the number of results to return in a single query
100Response
Successful response
- Array [
- ]
meta objectrequired
The offset of the first result
Possible values: >= 0
0The number of results to return
Possible values: >= 0 and <= 250
100orderBy object[]required
The order of the results
Whether there are more results
The total number of results
Possible values: >= 0
1000results objectrequired
The Propexo unique identifier for the recurring resident charge
clwktsp9v000008l31iv218hnThe date record first entered Propexo
2024-03-21T15:38:08.337ZThe date record was last updated in Propexo
2024-03-22T10:59:45.119ZThe date the record was last seen from the PMS
2024-03-22T10:59:45.119ZThe external ID from the integration vendor
| Method |
|---|
| getLeases |
| getLease |
770441The external ID of the property from the integration vendor
| Method |
|---|
| getLeases |
| getLease |
481920The external ID of the location (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.
This field will always be null for PROPERTYWARE
nullThe external ID of the charge code from the integration vendor
This field will always be null for PROPERTYWARE
nullThe external ID of the financial account from the integration vendor
| Method |
|---|
| getLeases |
| getLease |
220045The external ID of the lease from the integration vendor
| Method |
|---|
| getLeases |
| getLease |
330871The total amount of the recurring resident charge
| Method |
|---|
| getLeases |
| getLease |
1276The raw value for amount from the PMS
| Method |
|---|
| getLeases |
| getLease |
$12.76Whether the recurring resident charge is active
| Method |
|---|
| getLeases |
| getLease |
trueDescription of the recurring resident charge
| Method |
|---|
| getLeases |
| getLease |
Garbage disposalThe reference number for the recurring resident charge
| Method |
|---|
| getLeases |
| getLease |
R12378912The start date associated with the recurring resident charge
| Method |
|---|
| getLeases |
| getLease |
2025-01-01T00:00:00.000ZThe end date associated with the recurring resident charge
| Method |
|---|
| getLeases |
| getLease |
2025-01-01T00:00:00.000ZThe raw value of the frequency of the recurring resident charge
| Method |
|---|
| getLeases |
| getLease |
MonthlyThe frequency of the recurring resident charge
| Method |
|---|
| getLeases |
| getLease |
Show 4 enum values
OTHERWEEKLYMONTHLYDAILYMONTHLYThe due date associated with the recurring resident charge
| Method |
|---|
| getLeases |
| getLease |
Possible values: >= 0
1custom_data object | nullrequired
The Propexo unique identifier for the financial account
| Method |
|---|
| getLeases |
| getLease |
cm0finac00008pw0za63zbjzpThe Propexo unique identifier for the lease
| Method |
|---|
| getLeases |
| getLease |
cm0lease00008pw0za63zbjzpThe Propexo unique identifier for the charge code
This field will always be null for PROPERTYWARE
nullThe Propexo unique identifier for the integration
clwh5u07w000508me66sfh3umThe property management system of record
Show 13 enum values
PROPERTYWAREAPPFOLIOBUILDIUMENTRATAMRIPROPERTYWARE_RESTREALPAGEREALPAGE_RPXRENTMANAGERRENTVINERESMANYARDIYARDI_RESTPROPERTYWAREThe Propexo unique identifier for the property
clwi5xiix000008l6ctdgafyhErrors
400Bad Request
error objectrequired
codestringrequiredExample:invalid_requestmessagestringrequiredExample:invalid requestdetails object
property name*anyExample:{"details":{"issues":[{"code":"unrecognized_keys","keys":["foo"],"path":[],"message":"Unrecognized key(s) in object: 'foo'"}],"name":"ZodError"}}
curl https://api.propexo.com/v1/recurring-resident-charges/:recurring_resident_charge_id \
-H "Authorization: Bearer <token>"
{
"meta": {
"offset": 0,
"limit": 100,
"orderBy": [
{}
],
"hasMore": true,
"total": 1000
},
"results": {
"id": "clwktsp9v000008l31iv218hn",
"created_at": "2024-03-21T15:38:08.337Z",
"updated_at": "2024-03-22T10:59:45.119Z",
"last_seen": "2024-03-22T10:59:45.119Z",
"x_id": "770441",
"x_property_id": "481920",
"x_location_id": null,
"x_charge_code_id": null,
"x_financial_account_id": "220045",
"x_lease_id": "330871",
"amount_in_cents": 1276,
"amount_raw": "$12.76",
"is_active": true,
"description": "Garbage disposal",
"reference_number": "R12378912",
"start_date": "2025-01-01T00:00:00.000Z",
"end_date": "2025-01-01T00:00:00.000Z",
"frequency_raw": "Monthly",
"frequency_normalized": "MONTHLY",
"charge_due_day": 1,
"custom_data": "Unknown Type: object,null",
"financial_account_id": "cm0finac00008pw0za63zbjzp",
"lease_id": "cm0lease00008pw0za63zbjzp",
"charge_code_id": null,
"integration_id": "clwh5u07w000508me66sfh3um",
"integration_vendor": "PROPERTYWARE",
"property_id": "clwi5xiix000008l6ctdgafyh"
}
}